DocumentationAPI ReferenceContact UsGet Started
Introduction

Affiliates

List affiliates GETGet affiliate GETCreate affiliate POSTUpdate affiliate PUT

Campaigns

List campaigns GETGet campaign GETCreate campaign POSTUpdate campaign PUT

Referrals

List referrals GETCreate referral POST

Commissions

List commissions GETGet commission GETCreate commission POST

Payouts

List payouts GETGet payout GET
Affiliates

Get affiliate

Retrieves a single affiliate by UUID.

GET
/affiliates/{id}

Authorization

Authorization
Required
Bearer <token>

In: header

Path Parameters

id
Required
string

Format: "uuid"

Previous

List affiliates GET

Next

Create affiliate POST

/affiliates/{id}

The Authorization access token

API key authentication. Use your API key as the bearer token.

Resource UUID

Successful response

curl -X GET "https://www.promotekit.com/api/v1/affiliates/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer <token>"
{
  "success": true,
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "email": "user@example.com",
    "first_name": "string",
    "last_name": "string",
    "payout_email": "user@example.com",
    "links": [
      {
        "url": "string",
        "code": "string"
      }
    ],
    "promo_codes": [
      {
        "code": "string",
        "external_id": "string"
      }
    ],
    "clicks": 0,
    "approved": true,
    "banned": true,
    "details": "string",
    "new_paid_referral_notifications": true,
    "created_at": "2019-08-24T14:15:22Z",
    "campaign": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "website_url": "string",
      "commission_type": "percentage",
      "commission_amount": 0,
      "is_default": true,
      "limit_type": "string",
      "limit_amount": 0,
      "code_mode": "link",
      "reference_coupon": "string",
      "custom_commission_type": "string",
      "welcome_message": "string",
      "approval_needed": true,
      "collect_details": true,
      "details_text": "string",
      "hide_emails": true,
      "dashboard_text": "string",
      "cookie_duration": 0,
      "first_payment_commission": {
        "enabled": true,
        "type": "string",
        "amount": 0
      }
    }
  }
}